Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

MariaDB Server 10.1.x < 10.1.12 Multiple DoS

Medium

Synopsis

The remote database server is affected by multiple Denial of Service (DoS) attack vectors.

Description

MariaDB is a community-developed fork of the MySQL relational database. The version of MariaDB installed on the remote host is 10.1.x earlier than 10.1.12, and is therefore affected multiple vulnerabilities :

- A flaw exists in the 'Item_func_nullif::fix_length_and_dec()' function in 'sql/item_cmpfunc.cc' that is triggered during the handling of an EXECUTE statement. This may allow an authenticated attacker to cause a denial of service. (OSVDB 135238) - A flaw exists in the 'subselect_hash_sj_engine::exec()' function in 'sql/item_subselect.cc' that is triggered during the handling of 'UNION ALL' statements. This may allow an authenticated to crash the database. (OSVDB 135240) - A flaw exists in the 'Rows_log_event::process_triggers()' function in 'sql/log_event.cc' that is triggered during the handling of the update statement for the minimal row image sets. This may allow an authenticated attacker to crash the database. (OSVDB 135275) - A flaw exists in the 'JOIN::choose_subquery_plan()' function in 'sql/opt_subselect.cc' that is triggered during the handling of nested IN clauses that contain SQ. This may allow an authenticated attacker to crash the database. (OSVDB 135276) - A flaw exists in 'sql/sql_select.cc' that is triggered during the creation of keys in temporary tables. This may allow an authenticated attacker to crash the database. (OSVDB 135277)

Solution

Upgrade to version 10.1.12 or later.